import getWikiListByName from './registry';
import generatePage from './template';

// [[module ListPages range="." limit="1"]]
//     [[iframe http://scpnet.org/interwiki/scp-ru/?lang=ru&page=%%name%%]]
// [[/module]]

export default function interwiki(wikiName: string, pageName: string, lang: string) {
    pageName = pageName // eslint-disable-line no-param-reassign
        .replace('forum:category', 'forum:start')
        .replace('forum:thread', 'forum:start')
        .replace(/^sandbox:/, '');

    const list = getWikiListByName(pageName).filter((pageWiki: string) => pageWiki !== wikiName);
    if (!list || !list.length) {
        return '';
    }

    return generatePage(list, lang, pageName);
};
