import {reportError} from '../core/utils';

export default function executeTask(name: string, args?: string[]) {
    require(`../tasks/${name}`).run.apply({}, args)
        .then(() => {
            process.nextTick(() => process.exit())
        })
        .catch((error: Error) => {
            reportError(error, {message: 'Unhandled task executer error'});
        })
}
