"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const repl = require("repl");
const db_1 = require("../core/db");
const wikidot_page_1 = require("../models/wikidot-page");
function runConsole() {
    const context = { db: db_1.default, WikidotPage: wikidot_page_1.default };
    const replServer = repl.start();
    replServer.context = Object.assign(replServer.context, context);
}
exports.default = runConsole;
//# sourceMappingURL=console.js.map