"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const registry_1 = require("./registry");
const template_1 = require("./template");
// [[module ListPages range="." limit="1"]]
//     [[iframe http://scpnet.org/interwiki/scp-ru/?lang=ru&page=%%name%%]]
// [[/module]]
function interwiki(wikiName, pageName, lang) {
    pageName = pageName // eslint-disable-line no-param-reassign
        .replace('forum:category', 'forum:start')
        .replace('forum:thread', 'forum:start')
        .replace(/^sandbox:/, '');
    const list = registry_1.default(pageName).filter((pageWiki) => pageWiki !== wikiName);
    if (!list || !list.length) {
        return '';
    }
    return template_1.default(list, lang, pageName);
}
exports.default = interwiki;
;
//# sourceMappingURL=index.js.map