"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const interwiki_1 = require("../../components/interwiki");
const PAGE_NAME_REGEXP = /^[\w-:]*$/;
exports.default = async (req, res) => {
    const wikiName = req.params.wiki_name;
    const lang = req.query.lang || 'en';
    const pageName = (req.query.page || '').replace(/^_default:/, '');
    if (!pageName || !PAGE_NAME_REGEXP.test(pageName)) {
        return res.send('');
    }
    return res.send(interwiki_1.default(wikiName, pageName, lang));
};
//# sourceMappingURL=interwiki.js.map