'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const routes = [
    {
        name: 'ping',
        path: '/ping'
    },
    {
        name: 'wikidot/random-page',
        path: '/wikidot_random_page'
    },
    {
        name: 'wikidot/tags-list',
        path: '/_api/wikidot_tags_search/list'
    },
    {
        name: 'wikidot/tags-search',
        path: '/_api/wikidot_tags_search/find'
    },
    {
        name: 'wikidot/untranslated-list',
        path: '/_api/wanted_translations/list'
    },
    {
        name: 'wikidot/interwiki',
        path: '/interwiki/:wiki_name'
    }
];
function initRoutes(router) {
    routes.forEach((route) => {
        const method = route.method || 'get';
        router[method](route.path, require(`./controllers/${route.name}`).default);
    });
}
exports.default = initRoutes;
;
//# sourceMappingURL=routes.js.map