import * as Bluebird from 'bluebird';
const WikidotAJAX: any = require('wikidot-ajax');

type RequestParams = {[key: string]: string | number | boolean | object};

export default function prepareAjaxQuerier(baseUrl: string): (params: RequestParams) => Bluebird<CheerioSelector> {
    return new WikidotAJAX({baseURL: baseUrl});
}
