import db from '../core/db';
import * as Bluebird from 'bluebird';

export default class WikidotUser {
    static findMembersWithDiscordTag() {
        return Bluebird.resolve(db.map(`
            SELECT SUBSTRING(about FROM 'Discord<(.*)>') as discord_id
            FROM wikidot_users
            WHERE memberships ? 'scp-ru' AND about LIKE '%Discord<%>%';
        `, {}, result => result.discord_id));
    }
}
