"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../core/utils");
function executeTask(name, args) {
    require(`../tasks/${name}`).run.apply({}, args)
        .then(() => {
        process.nextTick(() => process.exit());
    })
        .catch((error) => {
        utils_1.reportError(error, { message: 'Unhandled task executer error' });
    });
}
exports.default = executeTask;
//# sourceMappingURL=tasks-executer.js.map