"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../core/utils");
const db_1 = require("../../core/db");
exports.default = async (req, res) => {
    try {
        const { name } = await db_1.default.one('SELECT name FROM wikidot_random_page');
        res.redirect(`http://scpfoundation.ru/${name}`);
    }
    catch (error) {
        res.status(500).send('Unhandled internal error, incident reported');
        utils_1.reportError(error, { tags: { location: 'wikidot/random-page' } });
    }
};
//# sourceMappingURL=random-page.js.map