"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const db_1 = require("../core/db");
class WikidotPage {
    static findByName(wiki, name) {
        return db_1.default.one(`
            SELECT * FROM wikidot_pages WHERE wiki_name = $(wiki) AND name = $(name);
        `, { wiki, name });
    }
}
exports.default = WikidotPage;
//# sourceMappingURL=wikidot-page.js.map