"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const db_1 = require("../core/db");
const Bluebird = require("bluebird");
class WikidotUser {
    static findMembersWithDiscordTag() {
        return Bluebird.resolve(db_1.default.map(`
            SELECT SUBSTRING(about FROM 'Discord<(.*)>') as discord_id
            FROM wikidot_users
            WHERE memberships ? 'scp-ru' AND about LIKE '%Discord<%>%';
        `, {}, result => result.discord_id));
    }
}
exports.default = WikidotUser;
//# sourceMappingURL=wikidot-user.js.map